Draft Dimension/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 49: Line 49:
* {{PropertyView|Decimals}}: The number of decimal places to display on the dimension
* {{PropertyView|Decimals}}: The number of decimal places to display on the dimension
* {{PropertyView|Flip Arrows}}: Reverse the orientation of arrows
* {{PropertyView|Flip Arrows}}: Reverse the orientation of arrows
* {{PropertyView|Unit Override}}: Expresses the distance in the given unit (leave blank to use the system unit) {{Version|017}}
* {{PropertyView|Unit Override}}: Expresses the distance in the given unit (leave blank to use the system unit) {{Version|0.17}}


==Scripting==
==Scripting==

Revision as of 21:09, 22 November 2016

Draft Dimension

Menyplacering
Draft -> Dimension
Arbetsbänkar
Skiss
Standard genväg
D I
Introducerad i version
-
Se även
FlipDimension

Beskrivning

Detta verktyg ber användaren om två punkter för att definiera det segment som ska måttsättas, sedan en tredje punkt för att placera dimensionslinjen.

Bruk

  • Markera 3 punkter i ett tomt område i 3d vyn, eller på ett existerande objekt.
  • Nedtryckning av CTRL kommer att snäppa din punkt till tillgängliga snäpp-punkter.
  • Nedtryckning av SHIFT kommer att begränsa dimensioneringen horisontellt eller vertikalt.
  • Skriv in siffror för att manuellt mata in en koordinat.
  • Om du trycker på ESC så avbryts funktionen.

Available dimension types

  • Linear dimensions: by picking any 2 points or any straight edge with ALT pressed.
  • Horizontal/vertical dimensions: by pressing SHIFT after the first point is selected.
  • Diameter dimensions: by picking a curved edge with ALT pressed.
  • Radius dimensions: by picking a curved edge with ALT pressed, then pressing SHIFT.
  • Angular dimensions: by picking 2 straight edges with ALT pressed.

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain the dimension horizontally or vertically, or, when working on a circular edge, switches between diameter and radius modes.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, you will be able to draw continued dimensions, one after the other, that share the same baseline.
  • Press ESC or the Cancel button to abort the current Line command.
  • By picking an existing edge with ALT, instead of entering measurement points, the dimension will become parametric and remember which edge it is bound to. If the endpoints of that edge move later on, the dimension will follow them.
  • If an edge is selected before starting the Dimension command, the created dimension will also be parametric.
  • The direction of the dimension can be changed afterwards, by modifying its "Direction" property

Properties

  • DataStart: The start point of the distance to measure
  • DataEnd: The end point of the distance to measure
  • DataDimline: A point through which the dimension line must pass
  • VyDisplay Mode: Specifies if the text is aligned to the dimension lines or always faces the camera
  • VyFont Size: The size of the letters
  • VyExt Lines: The size of the extension lines (between the measurement points and the dimension line)
  • VyText Position: Can be used to force the text to be displayed at a certain position
  • VyText Spacing: Specifies the space between the text and the dimension line
  • VyOverride: Specifies a text to display instead of the measurement. Insert "$dim", inside that text, to display the measurement value
  • VyFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • VyArrow Type: The type of arrow to use
  • VyArrow Size: The size of the arrows
  • VyDecimals: The number of decimal places to display on the dimension
  • VyFlip Arrows: Reverse the orientation of arrows
  • VyUnit Override: Expresses the distance in the given unit (leave blank to use the system unit) introduced in version 0.17

Scripting

The Dimension tool can by used in macros and from the python console by using the following functions:

makeDimension (p1,p2,[p3])

or

makeDimension (object,i1,i2,p3)

or

makeDimension (objlist,indices,p3)
  • Creates a Dimension object with the dimension line passign through p3.
  • The Dimension object takes the Draft linewidth and color set in the command bar.
  • There are multiple ways to create a dimension, depending on the arguments you pass to it:
  1. (p1,p2,p3): creates a standard dimension from p1 to p2.
  2. (object,i1,i2,p3): creates a linked dimension to the given object, measuring the distance between its vertices indexed i1 and i2.
  3. (object,i1,mode,p3): creates a linked dimension to the given object, i1 is the index of the (curved) edge to measure, and mode is either "radius" or "diameter". Returns the newly created object.
makeAngularDimension (center,[angle1,angle2],p3)
  • creates an angular Dimension from the given center, with the given list of angles, passing through p3.
  • Returns the newly created object.

Example:

import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeDimension(p1,p2,p3)

Links